Bug 126673 - Add 'Concord' to match camear at updfstab.conf.default
Add 'Concord' to match camear at updfstab.conf.default
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-06-24 12:25 EDT by Roland Wolters
Modified: 2014-03-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.123-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-07 18:42:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2004-06-24 12:25:28 EDT
Description of problem: 
Just add the 'Concord' (without the ' ) in the given line at the 
given position to auto-change etc/fstab for Concord cameras. 
Without the camera must be mounted by root. 
The Camera is a Concord Eye-Q 3341z. 
How reproducible: 
Buy a camera from Concord ;-), plug it in. 
Actual results: 
Works for me. 
Additional info: 
Here my dmesg: 
usb 4-1: new full speed USB device using address 10 
scsi12 : SCSI emulation for USB Mass Storage devices 
  Vendor: Concord   Model: Eye-Q 3341Z       Rev: 1.00 
  Type:   Direct-Access                      ANSI SCSI revision: 02 
SCSI device sda: 504320 512-byte hdwr sectors (258 MB) 
sda: assuming Write Enabled 
sda: assuming drive cache: write through 
 sda: sda1 
Attached scsi removable disk sda at scsi12, channel 0, id 0, lun 0 
Attached scsi generic sg0 at scsi12, channel 0, id 0, lun 0,  type 0 
updfstab: Using deprecated /dev/sg mechanism instead of SG_IO on the 
actual device 
USB Mass Storage device found at 10 
Here my /etc/sysconfig/hwconf: 
class: HD 
bus: USB 
detached: 0 
driver: usb-storage 
desc: "Concord Camera Corp. Eye-Q 3341Z" 
usbclass: 8 
usbsubclass: 6 
usbprotocol: 50 
usbbus: 4 
usblevel: 1 
usbport: 0 
usbdev: 9 
vendorId: 0bb0 
deviceId: 5009 
usbmfr: Concord Camera Corp. 
usbprod: Eye-Q 3341Z
Comment 1 Bill Nottingham 2004-06-29 01:09:30 EDT
What does 'kudzu -p -b scsi' say?

Are all Concord cameras 'Eye-Q' models?
Comment 2 Roland Wolters 2004-06-29 07:05:35 EDT
Your question about kudzu: 
# kudzu -p -b scsi 
class: HD 
bus: SCSI 
detached: 0 
device: sda 
driver: ignore 
desc: "Concord Eye-Q 3341Z" 
host: 0 
id: 0 
channel: 0 
lun: 0 
generic: sg0 
Your question about the name: 
It seems that except one digital recorder all digital cameras from 
concord listet on their pages [1], [2], [3] are called 'Concord 
Eye-Q'. I only own the 3341z one. 
As you know hwconf lists this as 'Concord Camera Corp. Eye-Q' so I 
was not sure what to add to /etc/updfstab.conf.default. 
Comment 3 Bill Nottingham 2004-06-29 14:37:46 EDT
The thing to add is some subset of the 'description' field of the scsi
device - so, in this case, something like "Concord Eye-Q" should work.

Added in cvs, will be in 0.123-1.
Comment 4 Roland Wolters 2004-06-29 20:33:49 EDT
No, I have to report that your given "Concord Eye-Q" does /not/ work 
- but "Concord Camera Corp. Eye-Q" works for me! 
I think you are right that some subset of the desc. line must be add 
- but in this case "Concord Eye-Q" is no subset but two different 
parts with an other string between them ("Camera Corp."). 
I don't really know how updfstab works in detail, but I think it 
looks if the strings given in updfstab.con.default are contained in 
the real description - and in the strict sense "Concord Eye-Q" is 
So I would add "Concord" OR "Eye-Q" OR "Concord Camera Corp. Eye-Q" - 
but not "Concord Eye-Q". 
Comment 5 Roland Wolters 2004-06-30 11:04:53 EDT
I am very sorry, you was right, it worked for me after a reboot. 
It is a little bit confusing that you cannot just change your 
updfstab.conf.default but that you have to reboot or something like 
So, after a reboot "Concord Eye-Q" worked correctly. 

Note You need to log in before you can comment on or make changes to this bug.